Bug 458475 - Memory leaks when runing Puppet 0.24.5
Summary: Memory leaks when runing Puppet 0.24.5
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Jeroen van Meeuwen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-08 18:00 UTC by Brenton Leanhardt
Modified: 2009-01-31 21:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-31 21:55:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch discuessed on http://redmine.ruby-lang.org/issues/show/216 (503 bytes, patch)
2008-08-08 18:48 UTC, Brenton Leanhardt
no flags Details | Diff

Description Brenton Leanhardt 2008-08-08 18:00:19 UTC
Description of problem:
Memory leaks when running Puppet 0.24.5 with Ruby 1.8.6 patchlevel 230 on F8/F9.

As seen in http://reductivelabs.com/redmine/issues/show/1480, the packages that reproduce the issue on Fedora are :

puppet-server-0.24.5-1.fc9
puppet-0.24.5-1.fc9.noarch0.24.5
ruby-1.8.6.230-4.fc9.i386

While trying to debug I decided to install all the related libraries and tools from scratch. My first test was to install ruby 1.8.7, Puppet 0.24.5 stable from source.  This configuration showed the ruby interpreter Heap staying constantly around 35 MB.  With the F9 package I baselines around 100 MB and quickly reaches over 1 GB using the same test as mentioned in the bug opened on the Reductive Labs site.

http://redmine.ruby-lang.org/issues/show/216 shows information regarding patchlevel 230.  I understand there are good reasons for not using 1.8.7 in Fedora.  I'll try out Matz's patch to see if it solves the Puppetmaster problem and report my findings.

Comment 1 Brenton Leanhardt 2008-08-08 18:48:50 UTC
Created attachment 313832 [details]
patch discuessed on http://redmine.ruby-lang.org/issues/show/216

I applied this patch to the ruby-1.8.6.230 and rebuilt the patch.  Unfortunately, the memory leak issue with Puppet 0.24.5 is still present.

Comment 2 Brenton Leanhardt 2008-08-08 20:54:33 UTC
(In reply to comment #1)
> Created an attachment (id=313832) [details]
> patch discuessed on http://redmine.ruby-lang.org/issues/show/216
> 
> I applied this patch to the ruby-1.8.6.230 and rebuilt the patch. 
> Unfortunately, the memory leak issue with Puppet 0.24.5 is still present.

I realized when I updated the specfile I didn't actually apply the patch.  I'll test this again later.

Comment 3 Brenton Leanhardt 2008-08-08 21:04:46 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > Created an attachment (id=313832) [details] [details]
> > patch discuessed on http://redmine.ruby-lang.org/issues/show/216
> > 
> > I applied this patch to the ruby-1.8.6.230 and rebuilt the patch. 
> > Unfortunately, the memory leak issue with Puppet 0.24.5 is still present.
> 
> I realized when I updated the specfile I didn't actually apply the patch.  I'll
> test this again later.

At first sight the patch seems to be working great.  I'll test it more thoroughly  next week.  I spent most of my afternoon testing with patchlevel 286 which also works very well with Puppet.

Are there any plans to get 286 packaging for Fedora?

Comment 4 Brenton Leanhardt 2008-08-11 21:11:37 UTC
> Are there any plans to get 286 packaging for Fedora?

Apparently 286 didn't fix all the known security issues: http://www.ruby-lang.org/en/news/2008/08/11/ruby-1-8-7-p72-and-1-8-6-p287-released/

Comment 5 Akira TAGOH 2008-08-12 11:21:38 UTC
Does -p287 fix this issue?

Comment 6 Brenton Leanhardt 2008-08-14 20:01:05 UTC
(In reply to comment #5)
> Does -p287 fix this issue?

p287 does fix the problem with p230 originally mentioned in this bug.

Comment 7 Akira TAGOH 2008-08-23 09:32:29 UTC
Built.

Comment 8 Fedora Admin XMLRPC Client 2009-01-30 12:45:19 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 9 Jeroen van Meeuwen 2009-01-31 21:55:02 UTC
And released, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.